//  Normative PIDs
//  These values are not ECU pids, but our virtual PIDs

#ifndef _NORMPID_H
#define _NORMPID_H

#define NORM_MAX_PID 103			// What is our last PID?

#define NORM_PID_NONE		0		// No Action
#define NORM_PID_RPM		1
#define NORM_PID_TP			2
#define NORM_PID_LOAD_PCT	3
#define NORM_PID_SPARKADV	4
#define NORM_PID_MAF		5
#define NORM_PID_MAP		6
#define NORM_PID_VSS		7
#define NORM_PID_ECT		8
#define NORM_PID_IAT		9
#define NORM_PID_PTO_STAT	10
#define NORM_PID_FUEL1_OL	11
#define NORM_PID_FUEL2_OL	12
#define NORM_PID_SHRTFT1	13
#define NORM_PID_LONGFT1	14
#define NORM_PID_SHRTFT2	15
#define NORM_PID_LONGFT2	16
#define NORM_PID_SHRTFT3	17
#define NORM_PID_LONGFT3	18
#define NORM_PID_SHRTFT4	19
#define NORM_PID_LONGFT4	20
#define NORM_PID_FRP			21
#define NORM_PID_FRP_MED	22
#define NORM_PID_FRP_HIGH	23
#define NORM_PID_EQ_RAT		24
#define NORM_PID_LOAD_ABS	25
#define NORM_PID_EGR_PCT	26
#define NORM_PID_EGR_ERR	27
#define NORM_PID_TP_R		28
#define NORM_PID_TP_B		29
#define NORM_PID_TP_C		30
#define NORM_PID_APP_D		31
#define NORM_PID_APP_E		32
#define NORM_PID_APP_F		33
#define NORM_PID_TAC_PCT	34
#define NORM_PID_EVAP_PCT	35
#define NORM_PID_EVAP_VP	36
#define NORM_PID_AIR_UPS   37
#define NORM_PID_AIR_DNS   38
#define NORM_PID_AIR_OFF   39

#define NORM_PID_FLI			40
#define NORM_PID_BARO		41
#define NORM_PID_AAT			42
#define NORM_PID_VPWR		43
#define NORM_PID_MIL			44
#define NORM_PID_DTC_CNT	45
#define NORM_PID_MIL_DIST	46
#define NORM_PID_MIL_TIME	47

#define NORM_PID_CLR_DIST	48
#define NORM_PID_WARM_UPS	49
#define NORM_PID_RUNTM		50

#define NORM_PID_O2S11		51
#define NORM_PID_SHRTFT11	52
#define NORM_PID_O2S12		53
#define NORM_PID_SHRTFT12	54
#define NORM_PID_O2S21		55
#define NORM_PID_SHRTFT21	56
#define NORM_PID_O2S22		57
#define NORM_PID_SHRTFT22	58
#define NORM_PID_O2S31		59
#define NORM_PID_SHRTFT31	60
#define NORM_PID_O2S32		61
#define NORM_PID_SHRTFT32	62
#define NORM_PID_O2S41		63
#define NORM_PID_SHRTFT41	64
#define NORM_PID_O2S42		65
#define NORM_PID_SHRTFT42	66
#define NORM_PID_EQ_RAT11	67
#define NORM_PID_WO2S11		68
#define NORM_PID_EQ_RAT12	69
#define NORM_PID_WO2S12		70
#define NORM_PID_EQ_RAT21	71
#define NORM_PID_WO2S21		72
#define NORM_PID_EQ_RAT22	73
#define NORM_PID_WO2S22		74
#define NORM_PID_EQ_RAT31	75
#define NORM_PID_WO2S31		76
#define NORM_PID_EQ_RAT32	77
#define NORM_PID_WO2S32		78
#define NORM_PID_EQ_RAT41	79
#define NORM_PID_WO2S41		80
#define NORM_PID_EQ_RAT42	81
#define NORM_PID_WO2S42		82
#define NORM_PID_WBEQ_RAT11	83
#define NORM_PID_WBO2S11	84
#define NORM_PID_WBEQ_RAT12	85
#define NORM_PID_WBO2S12	86
#define NORM_PID_WBEQ_RAT21	87
#define NORM_PID_WBO2S21	88
#define NORM_PID_WBEQ_RAT22	89
#define NORM_PID_WBO2S22	90
#define NORM_PID_WBEQ_RAT31	91
#define NORM_PID_WBO2S31	92
#define NORM_PID_WBEQ_RAT32	93
#define NORM_PID_WBO2S32	94
#define NORM_PID_WBEQ_RAT41	95	
#define NORM_PID_WBO2S41	96
#define NORM_PID_WBEQ_RAT42	97
#define NORM_PID_WBO2S42	98
#define NORM_PID_CATEMP11	99
#define NORM_PID_CATEMP21	100
#define NORM_PID_CATEMP12	101
#define NORM_PID_CATEMP22	102

#define NORM_PID_RPMEXT 103
#endif	// _NORMPID_H

